/*
 * Copyright 2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Header:$
 */
package org.apache.beehive.samples.petstore.controls.internal;

import java.lang.reflect.Array;
import java.util.HashMap;
import java.util.Map;

public class InMemoryObjectStore {

    private static Map<String, Map> OBJECT_STORE = new HashMap<String, Map>();

    public static final boolean store(String namespace, Object key, Object value) {
        Map store = (Map)getNamespaceStore(namespace);

        store.put(key, value);

        return true;
    }

    public static final Object find(String namespace, Object key) {
        Map nsStore = getNamespaceStore(namespace);

        return nsStore.get(key);
    }

    public static final Object[] toArray(String namespace, Class type) {
        Map nsData = getNamespaceStore(namespace);
        Object[] values = (Object[])Array.newInstance(type, nsData.values().size());
        return nsData.values().toArray(values);
    }

    private static final Map getNamespaceStore(String namespace) {
        Map nsStore = OBJECT_STORE.get(namespace);
        if(nsStore == null) {
            nsStore = createNamespaceStore();
            OBJECT_STORE.put(namespace, nsStore);
        }

        return nsStore;
    }

    private static final Map createNamespaceStore() {
        return new HashMap();
    }
} 
