/*
 * Copyright 2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Header:$
 */
package org.apache.beehive.samples.petstore.model;

import java.math.BigDecimal;

/**
 *
 */
public class Item
    implements java.io.Serializable {

    private Product _product;

    private String _itemId;
    private String _productId;
    private String _status;
    private String _attr1;
    private String _attr2;
    private String _attr3;
    private String _attr4;
    private String _attr5;

    private BigDecimal _listPrice;
    private BigDecimal _unitCost;

    private int _supplier;
    private int _inventoryQuantity;

    public String getItemId() {
        return _itemId;
    }

    public void setItemId(String itemId) {
        _itemId = itemId.trim();
    }

    public void setQty(int qty) {
        _inventoryQuantity = qty;
    }

    public int getQty() {
        return _inventoryQuantity;
    }

    public Product getProduct() {
        return _product;
    }

    public void setProduct(Product product) {
        _product = product;
    }

    public String getProductId() {
        return _productId;
    }

    public void setProductId(String productId) {
        _productId = productId;
    }

    public void setSupplier(int supplier) {
        _supplier = supplier;
    }

    public int getSupplier() {
        return _supplier;
    }

    public BigDecimal getListPrice() {
        return _listPrice;
    }

    public void setListPrice(BigDecimal listPrice) {
        _listPrice = listPrice;
    }

    public BigDecimal getUnitCost() {
        return _unitCost;
    }

    public void setUnitCost(BigDecimal unitCost) {
        _unitCost = unitCost;
    }

    public String getStatus() {
        return _status;
    }

    public void setStatus(String status) {
        _status = status;
    }

    public String getAttr1() {
        return _attr1;
    }

    public void setAttr1(String attr1) {
        _attr1 = attr1;
    }

    public String getAttr2() {
        return _attr2;
    }

    public void setAttr2(String attr2) {
        _attr2 = attr2;
    }

    public String getAttr3() {
        return _attr3;
    }

    public void setAttr3(String attr3) {
        _attr3 = attr3;
    }

    public String getAttr4() {
        return _attr4;
    }

    public void setAttr4(String attr4) {
        _attr4 = attr4;
    }

    public String getAttr5() {
        return _attr5;
    }

    public void setAttr5(String attr5) {
        _attr5 = attr5;
    }

    public String toString() {
        return "(" + getItemId().trim() + "-" + getProductId().trim() + ")";
    }
}
