/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 */
package org.apache.beehive.samples.petstore.model.ws;

import java.awt.Image;

public class Category
    extends org.apache.beehive.samples.petstore.model.Category {


    private Image mAttachedImage;
    //private Product[] mProducts;

    public Category() {
        super();
    }

    public Category(org.apache.beehive.samples.petstore.model.Category cat) {
        super();

        setCatId(cat.getCatId());
        setName(cat.getName());
        setDescription(cat.getDescription());
        setImage(cat.getImage());
    }

    public Category(org.apache.beehive.samples.petstore.model.Category cat, Image img) {
        this(cat);

        setAttachedImage(img);
    }


    public Image getAttachedImage() {
        return mAttachedImage;
    }

    public void setAttachedImage(Image img) {
        mAttachedImage = img;
    }
}
