<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-databinding-1.0" prefix="netui-data"%>

<%@ tag body-content="empty" %>
<%@ attribute name="order" required="false" type="org.apache.beehive.samples.petstore.model.Order"%>
<%--
  This tag also implicitly expects that the "actionForm" and "bundle"
  objects are passed in explicitly.

  Either NetUI or JSP needs to have an <assert> tag.  <g>
--%>
<netui-data:declareBundle bundlePath="org.apache.beehive.samples.petstore.resources.view" name="view"/>

<table class="tablegreen" width="60%" align="center">
  <tr class="rowyellow">
    <td align="center" colspan="2">
      <netui:span styleClass="boldlabel" value="${bundle.view.orderNumberLabel} ${order.orderId}"/>
      <br/>
      <netui:span styleClass="boldlabel" value="${order.orderDate}">
          <netui:formatDate pattern="${bundle.view.orderDateFormat}"/>
      </netui:span>
    </td>
  </tr>
  <tr class="rowyellow">
    <td colspan="2">
      <netui:span styleClass="boldlabel" value="${bundle.view.paymentDetailsLabel}"/>
    </td>
  </tr>
  <tr class="rowyellow">
    <td class="celldata">${bundle.view.cardTypeLabel}:</td>
    <td class="celldata">
      <netui:span value="${order.cardType}"/>
    </td>
  </tr>
  <tr class="rowyellow">
      <td class="celldata">${bundle.view.cardNumberLabel}:</td>
      <td class="celldata"><netui:span value="${order.creditCard}"/>
          <netui:span styleClass="error" value="* Fake number!"/>
      </td>
  </tr>
  <tr class="rowyellow">
    <td class="celldata">${bundle.view.expirationDateLabel}:</td>
    <td class="celldata"><netui:span value="${order.exprDate}"/></td>
  </tr>
  <tr class="rowyellow">
    <td colspan="2">
      <netui:span styleClass="greenboldlabel" value="${bundle.view.billingAddressLabel}"/>
    </td>
  </tr>
  <tr class="rowyellow">
    <td class="celldata">${bundle.view.firstNameLabel}:</td>
    <td class="celldata"><netui:span value="${order.billingAddress.firstName}"/></td>
  </tr>
  <tr class="rowyellow">
    <td class="celldata">${bundle.view.lastNameLabel}:</td>
    <td class="celldata"><netui:span value="${order.billingAddress.lastName}"/></td>
  </tr>
  <tr class="rowyellow">
    <td class="celldata">${bundle.view.address1Label}:</td>
    <td class="celldata"><netui:span value="${order.billingAddress.addr1}"/></td>
  </tr>
  <tr class="rowyellow">
    <td class="celldata">${bundle.view.address2Label}:</td>
    <td class="celldata"><netui:span value="${order.billingAddress.addr2}"/></td>
  </tr>
  <tr class="rowyellow">
    <td class="celldata">${bundle.view.cityLabel}:</td>
    <td class="celldata"><netui:span value="${order.billingAddress.city}"/></td>
  </tr>
  <tr class="rowyellow">
    <td class="celldata">${bundle.view.stateLabel}:</td>
    <td class="celldata"><netui:span value="${order.billingAddress.state}"/></td>
  </tr>
  <tr class="rowyellow">
    <td class="celldata">${bundle.view.zipLabel}:</td>
    <td class="celldata"><netui:span value="${order.billingAddress.zip}"/></td>
  </tr>
  <tr class="rowyellow">
    <td class="celldata">${bundle.view.countryLabel}:</td>
    <td class="celldata"><netui:span value="${order.billingAddress.country}"/></td>
  </tr>
  <tr class="rowyellow">
    <td colspan="2">
      <netui:span styleClass="boldlabel" value="${bundle.view.shippingAddressLabel}"/>
    </td>
  </tr>
  <c:choose>
    <c:when test="${order.shippingAddressIsBillingAddress == false}">
  <tr class="rowyellow">
    <td class="celldata">${bundle.view.firstNameLabel}:</td>
    <td class="celldata"><netui:span value="${order.shippingAddress.firstName}"/></td>
  </tr>
  <tr class="rowyellow">
    <td class="celldata">${bundle.view.lastNameLabel}:</td>
    <td class="celldata"><netui:span value="${order.shippingAddress.lastName}"/></td>
  </tr>
  <tr class="rowyellow">
    <td class="celldata">${bundle.view.address1Label}:</td>
    <td class="celldata"><netui:span value="${order.shippingAddress.addr1}"/></td>
  </tr>
  <tr class="rowyellow">
    <td class="celldata">${bundle.view.address2Label}:</td>
    <td class="celldata"><netui:span value="${order.shippingAddress.addr2}"/></td>
  </tr>
  <tr class="rowyellow">
    <td class="celldata">${bundle.view.cityLabel}:</td>
    <td class="celldata"><netui:span value="${order.shippingAddress.city}"/></td>
  </tr>
  <tr class="rowyellow">
    <td class="celldata">${bundle.view.stateLabel}:</td>
    <td class="celldata"><netui:span value="${order.shippingAddress.state}"/></td>
  </tr>
  <tr class="rowyellow">
    <td class="celldata">${bundle.view.zipLabel}:</td>
    <td class="celldata"><netui:span value="${order.shippingAddress.zip}"/></td>
  </tr>
  <tr class="rowyellow">
    <td class="celldata">${bundle.view.countryLabel}:</td>
    <td class="celldata"><netui:span value="${order.shippingAddress.country}"/></td>
  </tr>
    </c:when>
    <c:otherwise>
  <tr class="rowyellow">
    <td class="celldata" colspan="2">Use Billing Address.</td>
  </tr>
    </c:otherwise>
  </c:choose>
  <tr class="rowyellow">
    <td colspan="2">
      <netui:span styleClass="greenboldlabel" value="${bundle.view.orderStatus} ${order.status}"/>
    </td>
  </tr>
  <tr>
  <td colspan="2">
  <table class="tablegreen" align="center" width="100%">
    <tr class="rowgrey">
      <td class="celldata"><b>${bundle.view.itemIdLabel}</b></td>
      <td class="celldata"><b>${bundle.view.descriptionLabel}</b></td>
      <td class="celldata"><b>${bundle.view.quantityLabel}</b></td>
      <td class="celldata"><b>${bundle.view.unitPriceLabel}</b></td>
      <td class="celldata"><b>${bundle.view.totalCostLabel}</b></td>
    </tr>
    <netui-data:repeater dataSource="pageInput.order.cart.lineItems">
      <tr class="rowyellow">
        <td class="celldata"><b>
        <c:choose>
          <c:when test="${pageScope.checkout == false}">
            <netui:anchor action="viewItem.do">
              <netui:parameter name="itemId" value="${container.item.item.itemId}"/>
              <netui:span value="${container.item.item.itemId}"/>
            </netui:anchor>
          </c:when>
          <c:otherwise>
            <netui:span value="${container.item.item.itemId}"/>
          </c:otherwise>
        </c:choose>
        </b>
        </td>
        <td class="celldata">
          <netui:span value="${container.item.item.attr1}"/>
          <netui:span value="${container.item.item.attr2}"/>
          <netui:span value="${container.item.item.attr3}"/>
          <netui:span value="${container.item.item.attr4}"/>
          <netui:span value="${container.item.item.attr5}"/>
          <netui:span value="${container.item.item.product.name}"/>
        </td>
        <td align="center">
          <netui:span value="${container.item.quantity}"/>
        </td>
        <td align="right">
          <netui:span value="${container.item.item.listPrice}">
            <netui:formatNumber pattern="${bundle.view.priceFormat}"/>
          </netui:span>
        </td>
        <td align="right">
          <netui:span value="${container.item.total}">
            <netui:formatNumber pattern="${bundle.view.priceFormat}"/>
          </netui:span>
        </td>
      </tr>
    </netui-data:repeater>
    <tr class="rowyellow">
      <td colspan="6" align="right">
        <b>${bundle.view.totalCostLabel}:
        <netui:span value="${order.totalPrice}">
          <netui:formatNumber pattern="${bundle.view.priceFormat}"/>
        </netui:span>
        </b><br/>
      </td>
    </tr>
  </table>
  </td>
  </tr>
</table>
