<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-databinding-1.0" prefix="netui-data"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-template-1.0" prefix="netui-template"%>
<%@ taglib prefix="beehive-petstore" tagdir="/WEB-INF/tags/beehive/petstore" %>

<netui-template:template templatePage="/site/template.jsp">
    <netui-template:section name="leftnav">
        <netui-data:declareBundle bundlePath="org.apache.beehive.samples.petstore.resources.view" name="view"/>
        <beehive-petstore:catalogNav action="rootSharedFlow.globalViewCart" labelValue="${bundle.view.shoppingCartLabel}"/>
    </netui-template:section>

    <netui-template:section name="body">

    <netui-data:declareBundle bundlePath="org.apache.beehive.samples.petstore.resources.view" name="view"/>
    <netui:errors/>
    <center>
    <netui:span styleClass="boldlabel" value="${bundle.view.checkoutSummaryLabel}"/>
    <br/>
    <table class="tablegreen">
        <tr class="rowgrey">
            <td class="celldata"><b>${bundle.view.itemIdLabel}</b></td>
            <td class="celldata"><b>${bundle.view.productIdLabel}</b></td>
            <td class="celldata"><b>${bundle.view.descriptionLabel}</b></td>
            <td class="celldata"><b>${bundle.view.inStockLabel}</b></td>
            <td class="celldata"><b>${bundle.view.quantityLabel}</b></td>
            <td class="celldata"><b>${bundle.view.listPriceLabel}</b></td>
            <td class="celldata"><b>${bundle.view.totalCostLabel}</b></td>
        </tr>
        <netui-data:repeater dataSource="sharedFlow.rootSharedFlow.cart.lineItems">
            <tr class="rowyellow">
                <td class="celldata">
                <b>
                <netui:anchor href="viewItem.do">
                    <netui:parameter name="itemId" value="${container.item.item.itemId}"/>
                    <netui:span value="${container.item.item.itemId}"/>
                </netui:anchor>
                </b>
                </td>
                <td class="celldata">
                <netui:span value="${container.item.item.productId}"/>
                </td>
                <td class="celldata">
                <netui:span value="${container.item.item.attr1}"/>
                <netui:span value="${container.item.item.attr2}"/>
                <netui:span value="${container.item.item.attr3}"/>
                <netui:span value="${container.item.item.attr4}"/>
                <netui:span value="${container.item.item.attr5}"/>
                <netui:span value="${container.item.item.product.name}"/>
                </td>
                <td align="center">
                <netui:span value="${container.item.inStock}"/>
                </td>
                <td align="center">
                <netui:span value="${container.item.quantity}"/>
                </td>
                <td align="right">
                <netui:span value="${container.item.item.listPrice}">
                <netui:formatNumber pattern="${bundle.view.priceFormat}"/>
                </netui:span>
                </td>
                <td align="right">
                <netui:span value="${container.item.total}">
                <netui:formatNumber pattern="${bundle.view.priceFormat}"/>
                </netui:span>
                </td>
            </tr>
        </netui-data:repeater>
        <tr class="rowyellow">
            <td class="celldata" colspan="7" align="right">
            <b>Sub Total: <netui:span value="${sharedFlow.rootSharedFlow.cart.subTotal}">
            <netui:formatNumber pattern="${bundle.view.priceFormat}"/>
            </netui:span> </b> <br/>
            </td>
        </tr>
    </table>
    <br/>
    <netui:imageAnchor action="viewCreateOrder" border="0" src="${pageContext.request.contextPath}/images/button_continue.gif"/>
    </center> </netui-template:section>
</netui-template:template>
