<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-databinding-1.0" prefix="netui-data"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-template-1.0" prefix="netui-template"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib prefix="beehive-petstore" tagdir="/WEB-INF/tags/beehive/petstore" %>
<netui-data:declarePageInput name="myList" type="org.apache.beehive.samples.petstore.model.Product[]" required="false"/>

<netui-template:template templatePage="/site/template.jsp">
    <netui-template:section name="leftnav">
        <netui-data:declareBundle bundlePath="org.apache.beehive.samples.petstore.resources.view" name="view"/>
        <beehive-petstore:catalogNav action="begin" labelValue="${bundle.view.mainMenuLabel}"/>
        <br/>
        <c:choose>
            <c:when test="${sharedFlow.rootSharedFlow.account != null}">
                <c:if test="${sharedFlow.rootSharedFlow.account.myListOpt != null}">
                    <beehive-petstore:productFavorites/>
                </c:if>
            </c:when>
            <c:otherwise>
                &nbsp;
            </c:otherwise>
        </c:choose>
    </netui-template:section>

    <netui-template:section name="body">
    <center>
    <netui-data:declareBundle bundlePath="org.apache.beehive.samples.petstore.resources.view" name="view"/>
    <netui:errors/>
    <netui:span styleClass="boldlabel" value="${bundle.view.shoppingCartLabel}"/>
    <netui:form action="updateCartQuantities">
        <table class="tablegreen">
            <tr class="rowgrey">
                <td class="celldata"><b>${bundle.view.itemIdLabel}</b></td>
                <td class="celldata"><b>${bundle.view.productIdLabel}</b></td>
                <td class="celldata"><b>${bundle.view.descriptionLabel}</b></td>
                <td class="celldata"><b>${bundle.view.inStockLabel} </b></td>
                <td class="celldata"><b>${bundle.view.quantityLabel}</b></td>
                <td class="celldata"><b>${bundle.view.listPriceLabel}</b></td>
                <td class="celldata"><b>${bundle.view.totalCostLabel}</b></td>
                <td class="celldata">&nbsp;</td>
            </tr>
            <c:choose>
            <c:when test="${actionForm.cart.lineItems != null && fn:length(actionForm.cart.lineItems) > 0}">
            <netui-data:repeater dataSource="actionForm.cart.lineItems">
                <tr class="rowyellow">
                    <td class="celldata">
                    <b>
                    <netui:anchor action="viewItem">
                        <netui:parameter name="itemId" value="${container.item.item.itemId}"/>
                        <netui:span value="${container.item.item.itemId}"/>
                    </netui:anchor>
                    </b>
                    </td>
                    <td class="celldata"><netui:span value="${container.item.item.productId}"/></td>
                    <td class="celldata">
                    <netui:span value="${container.item.item.attr1}"/>
                    <netui:span value="${container.item.item.attr2}"/>
                    <netui:span value="${container.item.item.attr3}"/>
                    <netui:span value="${container.item.item.attr4}"/>
                    <netui:span value="${container.item.item.attr5}"/>
                    <netui:span value="${container.item.item.product.name}"/>
                    </td>
                    <td class="celldata">
                    <netui:span value="${container.item.inStock}"/>
                    </td>
                    <td align="center">
                    <netui:textBox size="3" dataSource="container.item.quantity"/>
                    <br/>
                    <netui:error key="invalidQuantity${container.index}"/>
                    </td>
                    <td align="right">
                    <netui:span value="${container.item.item.listPrice}">
                    <netui:formatNumber pattern="${bundle.view.priceFormat}"/>
                    </netui:span>
                    </td>
                    <td align="right">
                    <netui:span value="${container.item.total}">
                    <netui:formatNumber pattern="${bundle.view.priceFormat}"/>
                    </netui:span>
                    </td>
                    <td class="celldata">
                    <netui:imageAnchor action="removeItemFromCart" border="0" src="${pageContext.request.contextPath}/images/button_remove.gif">
                        <netui:parameter name="workingItemId" value="${container.item.item.itemId}"/>
                    </netui:imageAnchor>
                    </td>
                </tr>
            </netui-data:repeater>
            <tr class="rowyellow">
                <td class="celldata" colspan="7" align="right">
                <b>${bundle.view.subTotalLabel}:
                <netui:span value="${actionForm.cart.subTotal}">
                <netui:formatNumber pattern="${bundle.view.priceFormat}"/>
                </netui:span> </b><br />
                <netui:imageButton src="${pageContext.request.contextPath}/images/button_update_cart.gif"/>
                </td>
                <td class="celldata">&nbsp;</td>
            </tr>
            </c:when> 
            <c:otherwise>
            <tr class="rowyellow">
                <td class="celldata" colspan="8"><b>${bundle.view.emptyCartMessage}.</b></td>
            </tr>
            </c:otherwise> 
            </c:choose>
        </table>
        <c:if test="${actionForm.cart.lineItems != null && fn:length(actionForm.cart.lineItems) > 0}">
        <br/>
        <netui:imageAnchor action="checkout" border="0" src="${pageContext.request.contextPath}/images/button_checkout.gif"/>
        </c:if>
    </netui:form>
    </center>
    </netui-template:section>
</netui-template:template>
