<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-databinding-1.0" prefix="netui-data"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-template-1.0" prefix="netui-template"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="beehive-petstore" tagdir="/WEB-INF/tags/beehive/petstore" %>

<netui-data:declarePageInput name="products" type="org.apache.beehive.samples.petstore.model.Product[]" required="false"/>
<netui-data:declarePageInput name="category" type="org.apache.beehive.samples.petstore.model.Category"/>

<netui-template:template templatePage="/site/template.jsp">

    <netui-template:section name="leftnav">
        <netui-data:declareBundle bundlePath="org.apache.beehive.samples.petstore.resources.view" name="view"/>
        <beehive-petstore:catalogNav action="begin" labelValue="${bundle.view.mainMenuLabel}"/>
    </netui-template:section>

    <netui-template:section name="body">
    <netui:errors/>
    <p>
    <center>
    <netui:span styleClass="boldlabel" value="${pageInput.category.name}"/>
    <br/>
    <netui:span styleClass="meditaliclabel" value="(${pageInput.category.description})"/>
    <br/>
    <br/>
    <table class="tablegreen">
        <tr class="rowgrey">
            <td><b>${bundle.view.productIdLabel}</b></td>
            <td><b>${bundle.view.nameLabel}</b></td>
            <td><b>${bundle.view.descriptionLabel}</b></td>
        </tr>
        <netui-data:repeater dataSource="pageInput.products">
            <tr class="rowyellow">
                <td class="celldata"><b>
                <netui:anchor action="viewProduct">
                    <font color="black"><netui:span value="${container.item.productId}"/></font>
                    <netui:parameter name="productId" value="${container.item.productId}"/>
                </netui:anchor>
                </b></td>
                <td class="celldata"><netui:span value="${container.item.name}"/></td>
                <td class="celldata"><netui:span value="${container.item.description}"/></td>
            </tr>
        </netui-data:repeater>
    </table>
		</center>
    </p>
    </netui-template:section>
</netui-template:template>
