<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-databinding-1.0" prefix="netui-data"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-template-1.0" prefix="netui-template"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>

<netui-data:declarePageInput name="categories" type="org.apache.beehive.samples.petstore.model.Category[]"/>

<netui-template:template templatePage="/site/template.jsp">

    <netui-template:section name="leftnav">
      <netui-data:declareBundle bundlePath="org.apache.beehive.samples.petstore.resources.view" name="view"/>
      <table class="tablegreenborder" style="border-width:1px;border-style:solid" width="200">
        <tbody>
        <tr class="rowyellow">
          <td>
          <c:if test="${sharedFlow.rootSharedFlow.account != null}">
              <netui:span styleClass="meditaliclabel" value="${bundle.view.welcomeLabel} ${sharedFlow.rootSharedFlow.account.firstName}"/>!
          </c:if>
          &nbsp;
          </td>
        </tr>
        <netui-data:repeater dataSource="pageInput.categories">
        <tr class="rowyellow">
          <td>
          <netui:imageAnchor action="viewCategory" border="0" src="${pageContext.request.contextPath}/images/${container.item.image}">
            <netui:parameter name="catId" value="${container.item.catId}"/>
          </netui:imageAnchor>
          <br/>
          <netui:span styleClass="meditaliclabel" value="${container.item.description}"/>
          </td>
        </tr>
        </netui-data:repeater>
        </tbody>
      </table>
    </netui-template:section>

    <netui-template:section name="body">
      <netui-data:declareBundle bundlePath="org.apache.beehive.samples.petstore.resources.view" name="view"/>
      <netui:errors/>
      <map name="beehivepetstoremap">
        <area alt="Birds" coords="72,2,280,250" href="rootSharedFlow.globalViewCategory.do?catId=BIRDS" shape="RECT" />
        <area alt="Fish" coords="2,180,72,250" href="rootSharedFlow.globalViewCategory.do?catId=FISH" shape="RECT" />
        <area alt="Dogs" coords="60,250,130,320" href="rootSharedFlow.globalViewCategory.do?catId=DOGS" shape="RECT" />
        <area alt="Reptiles" coords="140,270,210,340" href="rootSharedFlow.globalViewCategory.do?catId=REPTILES" shape="RECT" />
        <area alt="Cats" coords="225,240,295,310" href="rootSharedFlow.globalViewCategory.do?catId=CATS" shape="RECT" />
        <area alt="Birds" coords="280,180,350,250" href="rootSharedFlow.globalViewCategory.do?catId=BIRDS" shape="RECT" />
      </map>
      <img vspace="10" hspace="15" border="0" height="347" width="357" src="${pageContext.request.contextPath}/images/splash.gif" 
           align="center" usemap="#beehivepetstoremap"/>
    </netui-template:section>

</netui-template:template>
