<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-databinding-1.0" prefix="netui-data"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-template-1.0" prefix="netui-template"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="beehive-petstore" tagdir="/WEB-INF/tags/beehive/petstore" %>
<netui-data:declarePageInput name="item" type="org.apache.beehive.samples.petstore.model.Item"/>
<netui-data:declarePageInput name="product" type="org.apache.beehive.samples.petstore.model.Product"/>




<netui-template:template templatePage="/site/template.jsp">
    <netui-template:section name="leftnav">
        <beehive-petstore:catalogNav action="viewProduct"
                                paramName="productId" paramValue="${pageInput.product.productId}"
                                labelValue="${pageInput.product.name}"/>
    </netui-template:section>
    <netui-template:section name="body">
    <netui-data:declareBundle bundlePath="org.apache.beehive.samples.petstore.resources.view" name="view"/>
    <netui:errors/>
      <center>
      <table class="tablegreen" width="60%">
      <tr class="rowyellow">
        <td rowspan="6" class="cellwhite">
          <netui:image src="${pageContext.request.contextPath}/images/${pageInput.product.image}"/>
        </td>
        <td class="cellgrey" width="100%">
          <b><netui:span value="${pageInput.item.itemId}"/></b>
        </td>
      </tr>
      <tr class="rowyellow">
        <td class="celldata">
          <span class="boldlabel">
            <netui:span value="${pageInput.item.attr1}"/>
            <netui:span value="${pageInput.item.attr2}"/>
            <netui:span value="${pageInput.item.attr3}"/>
            <netui:span value="${pageInput.item.attr4}"/>
            <netui:span value="${pageInput.item.attr5}"/>
            <netui:span value="${pageInput.product.name}"/>
          </span>
        </td>
      </tr>
      <tr class="rowyellow">
        <td class="celldata"><netui:span styleClass="meditaliclabel" value="${pageInput.product.description}"/></td>
      </tr>
      <tr class="rowyellow">
        <td class="celldata">
          <c:choose>
          <c:when test="${pageInput.item.qty <= 0}">
            <netui:span styleClass="error" value="${bundle.view.backOrderedMessage}."/>
          </c:when>
          <c:otherwise>
            <netui:span value="${pageInput.item.qty} ${bundle.view.inStockMessage}"/>
          </c:otherwise>
          </c:choose>
        </td>
      </tr>
      <tr class="rowyellow">
        <td class="celldata">
          <netui:span value="${pageInput.item.listPrice}">
            <netui:formatNumber pattern="${bundle.view.priceFormat}"/>
          </netui:span>
        </td>
      </tr>
      <tr class="rowyellow">
        <td class="celldata">
          <netui:imageAnchor action="addItemToCart" border="0" src="${pageContext.request.contextPath}/images/button_add_to_cart.gif">
            <netui:parameter name="workingItemId" value="${pageInput.item.itemId}"/>
          </netui:imageAnchor>
        </td>
      </tr>
      </table>
      </center>
    </div>
    </netui-template:section>
</netui-template:template>
