<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-databinding-1.0" prefix="netui-data"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-template-1.0" prefix="netui-template"%>
<%@ taglib prefix="beehive-petstore" tagdir="/WEB-INF/tags/beehive/petstore"%>

<netui-data:declarePageInput name="items" type="org.apache.beehive.samples.petstore.model.Item[]"/>
<netui-data:declarePageInput name="product" type="org.apache.beehive.samples.petstore.model.Product"/>

<netui-template:template templatePage="/site/template.jsp">
    <netui-template:section name="leftnav">
        <beehive-petstore:catalogNav action="viewCategory" 
                                     paramName="catId" 
                                     paramValue="${pageInput.product.category}"
                                     labelValue="${pageInput.product.category}"/>
    </netui-template:section>
    <netui-template:section name="body">

    <netui-data:declareBundle bundlePath="org.apache.beehive.samples.petstore.resources.view" name="view"/>

    <netui:errors/>
        <center>
          <netui:span styleClass="boldlabel" value="${pageInput.product.name}"/>
          <br/>
          <netui:span styleClass="meditaliclabel" value="(${pageInput.product.description})"/>
          <br/>
          <br/>
        <table class="tablegreen">
          <tr class="rowgrey">
            <td><b>${bundle.view.itemIdLabel}</b></td>
            <td><b>${bundle.view.productIdLabel}</b></td>
            <td><b>${bundle.view.descriptionLabel}</b></td>
            <td><b>${bundle.view.listPriceLabel}</b></td>
            <td>&nbsp;</td>
          </tr>
          <netui-data:repeater dataSource="pageInput.items">
          <tr class="rowyellow">
            <td class="celldata">
              <netui:anchor action="viewItem">
                <netui:parameter name="itemId" value="${container.item.itemId}"/>
                <b><netui:span value="${container.item.itemId}"/></b>
              </netui:anchor>
            </td>
            <td class="celldata"><netui:span value="${container.item.productId}"/></td>
            <td class="celldata">
              <netui:span value="${container.item.attr1}"/>
              <netui:span value="${container.item.attr2}"/>
              <netui:span value="${container.item.attr3}"/>
              <netui:span value="${container.item.attr4}"/>
              <netui:span value="${container.item.attr5}"/>
              <netui:span value="${pageInput.product.name}"/>
            </td>
            <td class="celldata">
              <netui:span value="${container.item.listPrice}">
                <netui:formatNumber pattern="${bundle.view.priceFormat}"/>
              </netui:span>
            </td>
            <td class="celldata">
              <netui:imageAnchor action="addItemToCart" border="0"
                                 src="${pageContext.request.contextPath}/images/button_add_to_cart.gif">
              <netui:parameter name="workingItemId" value="${container.item.itemId}"/>
              </netui:imageAnchor>
            </td>
          </tr>
          </netui-data:repeater>
        </table>
        </center>
    </netui-template:section>
</netui-template:template>
