<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-databinding-1.0" prefix="netui-data"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-template-1.0" prefix="netui-template"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="beehive-petstore" tagdir="/WEB-INF/tags/beehive/petstore" %>

<netui-data:declareBundle bundlePath="org.apache.beehive.samples.petstore.resources.view" name="view"/>

<netui:html>
    <head>
        <title>
            ${bundle.view.indexTitle}
        </title>
        <link rel="stylesheet" href="${pageContext.request.contextPath}/site/default.css" type="text/css"/>
    </head>
    <netui:body>
        <beehive-petstore:headerMenu contextPath="${pageContext.request.contextPath}"/>
        <br/>
        <div>
            <%-- Include the template's "leftnav" section --%>
            <div id="leftnav">
                <%-- @bug: when the defaultPage is included, it ends up at the top of the page instead of in-line --%>
                <netui-template:includeSection name="leftnav" defaultPage="/site/emptyLeftNav.jsp"/>
                <br/>
            </div>
            <%-- Include the template's "body" section --%>
            <div id="main">
                <beehive-petstore:categoryNavHeader contextPath="${pageContext.request.contextPath}"/>
                <br/>
                <netui-template:includeSection name="body"/>
            </div>
            <div id="footer">
                <%-- dynamically display the banner --%>
                <beehive-petstore:footer contextPath="${pageContext.request.contextPath}"/>
                <beehive-petstore:copyright contextPath="${pageContext.request.contextPath}"/>
            </div>
        </div>
    </netui:body>
</netui:html>
