package org.apache.beehive.sample;

/*
 * Copyright 2004 The Apache Software Foundation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Header:$
 */

public class Address implements java.io.Serializable {

    private static final long serialVersionUID = 1L;

    private int streetNum;
    private String streetName;
    private String city;
    private StateType state;
    private int zip;
    private Phone phoneNumber;

    public Address() { }

    public Address(int streetNum, String streetName, String city, StateType state, int zip, Phone phoneNumber) {

        this.streetNum = streetNum;
        this.streetName = streetName;
        this.city = city;
        this.state = state;
        this.zip = zip;
        this.phoneNumber = phoneNumber;
    }

    public String getCity() { return city; }
    public void setCity(String city) { this.city = city; }

    public Phone getPhoneNumber() { return phoneNumber; }
    public void setPhoneNumber(Phone phoneNumber) { this.phoneNumber = phoneNumber; }

    public StateType getState() { return state; }
    public void setState(StateType state) { this.state = state; }

    public String getStreetName() { return streetName; }
    public void setStreetName(String streetName) { this.streetName = streetName; }

    public int getStreetNum() { return streetNum; }
    public void setStreetNum(int streetNum) { this.streetNum = streetNum; }

    public int getZip() { return zip; }
    public void setZip(int zip) { this.zip = zip; }
}
